/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.reliable;

import junit.framework.TestCase;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.ArrayList;
import java.util.List;

/**
 * ReliableTransportChannelFactoryTest
 *
 * @version $Revision: 1.1.1.1 $
 */
public class ReliableTransportChannelFactoryTest extends TestCase {
    public static void main(String[] args) {
    }

    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();
    }

    /*
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    /**
     * Constructor for ReliableTransportChannelFactoryTest.
     *
     * @param arg0
     */
    public ReliableTransportChannelFactoryTest(String arg0) {
        super(arg0);
    }


    public void testRandomizeURIs() throws URISyntaxException {
        List test = new ArrayList();
        for (int i = 0; i < 4; i++) {
            test.add(new URI("tcp://localhost:" + i));
        }


        ReliableTransportChannelFactory fac = new ReliableTransportChannelFactory();
        List result = fac.randomizeURIs(test);
        assertTrue(result != test);
        assertEquals(test.size(), result.size());
        /*
        for (int i =0; i < result.length; i++){
            System.out.println(result[i]);
        }
        */


    }
}
